//#define ASM
//#define STANDALONE
#include <vs1053.h>
#include "standalone.h"

#ifndef CMD
	.sect data_x,sci_defaults
	/*SCI_MODE	0xC000*/
	/*SCI_STATUS	0xC001*/
	.org SCI_BASS
#ifdef LOUDNESS_ON
#ifdef BASS_VAL
	.uword BASS_VAL	/*SCI_BASS	0xC002*/
#else
	.uword 0x33d9
#endif
#else
	.uword 0x0000	/*SCI_BASS	0xC002*/
#endif
	.uword CLOCKF_VAL	/*SCI_CLOCKF	0xC003*/
	.uword 0x0000	/*SCI_DECODE_TIME 0xC004*/
	.uword 0x0000	/*SCI_AUDATA	0xC005*/
	.uword 0x0000	/*SCI_WRAM	0xC006*/ /* REC gain/AGC -> AICTRL1*/
	.uword 0x4000	/*SCI_WRAMADDR	0xC007*/ /* REC max gain -> AICTRL2*/
	.uword 0x0000	/*SCI_HDAT0	0xC008*/
	.uword 0x0000	/*SCI_HDAT1	0xC009*/
	.uword 0x0000	/*SCI_AIADDR	0xC00A*/
#ifdef VOL_VAL
	.uword VOL_VAL	/*SCI_VOL	0xC00B*/
#else
	.uword 0x0c0c	/*SCI_VOL	0xC00B*/
#endif /*VOL_VAL !defined*/
	.uword 0	/*SCI_AICTRL0	0xC00C*/ /* file to play */
	.uword 0	/*SCI_AICTRL1	0xC00D*/
#ifdef BASS_VAL
	.uword BASS_VAL	/*SCI_AICTRL2	0xC00E -- loudness value for non-sci */
#else
	.uword 0x33d9	/*SCI_AICTRL2	0xC00E -- loudness value for non-sci */
#endif
#if 1
	.uword 0x0000	/*SCI_AICTRL3	0xC00F*/
#else
	.uword 0x0004	/*SCI_AICTRL3	0xC00F pause before play */
#endif
#endif /*!CMD*/


	.import __stack
	.sect code,startup
	.export _main
_main:
	.import _MyMain
	.export _MyReset
	ldc 1,a1	// perform full init
	j _MyMain
_MyReset:
	ldc __stack,i6
	j _MyMain
	ldc 0,a1	// perform partial init


//void SpiLoadStub(register __i2 short start, register __a0 short a24);
	.export _SpiLoadStub
_SpiLoadStub:
	.import _SpiLoad
	j _SpiLoad
	mv a0,i5


	.end
